<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Modules\OfficialAccount\Services\CustomMsgService;
class UnPaidUserActivity extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'UnPaidUserActivity';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '未支付新用户充值活动';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->unPaidUserActivity();
    }

    public function unPaidUserActivity(){
        CustomMsgService::unPaidUserActivity();
    }
}
